Create a blog post for a collection
POST https://{handle}.myshopline.com/admin/openapi/v20261201/store/blogs/:blog_collection_id/articles.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Create a blog post in a specific blog collection.
Path Parameters
- blog_collection_id string requiredThe ID of the blog collection that the blog post belongs to.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Request Body
blogobject
Blog post information.author stringThe author of the blog post.Example:"Alvin"content_html stringThe text of the blog post, with HTML tags.Maximum length : 5MExample:"content of the blog"digest stringThe summary of the blog post.Example:"28086digest"handle string requiredThe handle of the blog post.Example:"create-handle"imageobject
The cover image of the blog post.alt stringThe alternative textual description of the cover image, usually a word or phrase with the characteristics or content of the image.Example:"21933Alt"src stringThe link to the cover image.Example:"https://img-preview-va.myshopline.com/image/store/3400001642/1624538086300/30e35c9beb4e4be5b3ef336954dcdc14.jpg?w=626&h=417"published booleanWhether to publish the blog post.true: publishfalse: not publish
Default value :falsepublished_at stringThe date and time when the blog post was published.Format:ISO 8601.Example:"2024-06-25T11:15:47+08:00"tags arrayA list of tags of the blog post.Maximum size: 100Maximum length per string: 255Example:["tag1","tag2"]template_name stringThe name of the associated page template of the blog post.Example:"templates/blogs/detail.a2c29192484301fa.json"title string requiredThe title of the blog post.Example:"70626title"url stringThe custom path of the blog post.Maximum length per string: 512Example:"/custom-url"
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
blogobject
Blog post information.author stringThe author of the blog post.Example:"Alvin"blog_collection_id stringThe ID of the blog collection.Example:"64e313c4cd5956279e61d150"content_html stringThe text of the blog post, with HTML tags.Example:"content of the blog"created_at stringThe date and time when the blog post was created.Format:ISO 8601.Example:"2024-06-18T13:34:57+00:00"digest stringThe summary of the blog post.Example:"28086digest"handle stringThe handle of the blog post.Example:"create-handle"id stringThe ID of the blog post.Example:"66718d010588d64ef7d15c96"imageobject
The cover image of the blog post.alt stringThe alternative textual description of thecover image, usually a word or phrase with the characteristics or content of the image.Example:"21933Alt"src stringThe link to the cover image.Example:"https://img-preview-va.myshopline.com/image/store/3400001642/1624538086300/30e35c9beb4e4be5b3ef336954dcdc14.jpg?w=626&h=417"published_at stringThe date and time when the blog post was published.Format:ISO 8601。Example:"2024-06-25T11:15:47+08:00"tags arrayA list of tags of the blog post.Example:["tag1","tag2"]title stringThe title of the blog post.Example:"70626title"updated_at stringThe date and time when the blog post was updated.Format:ISO 8601.Example:"2024-06-19T12:42:55+00:00"
API Explorer
Debugger
Was this article helpful to you?